WPSEntry Class Reference documentation

Public Member Functions | Protected Attributes | Friends | List of all members
WPSEntry Class Reference

basic class to store an entry in a file This contained : More...

`#include <WPSEntry.h>`

Inheritance diagram for WPSEntry:

## Public Member Functions
| WPSEntry ()
| constructor More...
| WPSEntry (WPSEntry const &)=default
| WPSEntry (WPSEntry &&)=default
WPSEntry & | operator= (WPSEntry const &)=default
WPSEntry & | operator= (WPSEntry &&)=default
virtual | ~WPSEntry ()
| destructor More...
void | setBegin (long off)
| sets the begin offset More...
void | setLength (long l)
| sets the zone size More...
void | setEnd (long e)
| sets the end offset More...
long | begin () const
| returns the begin offset More...
long | end () const
| returns the end offset More...
long | length () const
| returns the length of the zone More...
bool | valid (bool checkId=false) const
| returns true if the zone length is positive More...
bool | operator== (const WPSEntry &a) const
| basic operator== More...
bool | operator!= (const WPSEntry &a) const
| basic operator!= More...
bool | isParsed () const
| a flag to know if the entry was parsed or not More...
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false More...
void | setType (std::string const &tp)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ... More...
std::string const & | type () const
| returns the type of the entry More...
bool | hasType (std::string const &tp) const
| returns true if the type entry == type More...
void | setName (std::string const &nam)
| sets the name of the entry More...
std::string const & | name () const
| name of the entry More...
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name More...
int | id () const
| returns the entry id More...
void | setId (int i)
| sets the id More...
std::string const & | extra () const
| retrieves the extra string More...
void | setExtra (std::string const &s)
| sets the extra string More...

## Protected Attributes
long | m_begin
| the begin of the entry. More...
long | m_length
| the size of the entry More...
std::string | m_type
| the entry type More...
std::string | m_name
| the name More...
int | m_id
| the identificator More...
bool | m_parsed
| a bool to store if the entry is or not parsed More...
std::string | m_extra
| an extra string More...

## Friends
std::ostream & | operator<< (std::ostream &o, WPSEntry const &ent)

## Detailed Description

basic class to store an entry in a file This contained :

- its begin and end positions
- its type, its name and an identificator
- a flag used to know if the file is or not parsed

## Constructor & Destructor Documentation

## ◆ WPSEntry() [1/3]

WPSEntry::WPSEntry | ( |  | ) |
| inline

constructor

## ◆ WPSEntry() [2/3]

WPSEntry::WPSEntry | ( | WPSEntry const & |  | ) |
| default

## ◆ WPSEntry() [3/3]

WPSEntry::WPSEntry | ( | WPSEntry && |  | ) |
| default

## ◆ ~WPSEntry()

WPSEntry::~WPSEntry | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ begin()

long WPSEntry::begin | ( |  | ) | const
| inline

returns the begin offset

Referenced by XYWriteParser::createFormatChildren(), XYWriteParser::createListener(), WPS8TextStyle::findFDPStructures(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), WPS8Text::getFooterEntry(), WPS8Text::getHeaderEntry(), Quattro9ParserInternal::TextEntry::getString(), WPSTextParser::mergeSortedFODLists(), WPS4Text::numPages(), WPS8Text::numPages(), WPS4Parser::parseEntry(), XYWriteParser::parseFrameZone(), WPS8Parser::parseHeaderIndexEntry(), XYWriteParser::parseMetaData(), XYWriteParser::parsePictureZone(), XYWriteParser::parseTextZone(), WPS8Graph::readBDR(), libwps::MultiplanParser::readCellDataPosition(), LotusStyleManager::readCellStyleD2Data(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), WPS4Text::readEntries(), WPSTextParser::readFDP(), PocketWordParser::readFontNames(), WPS4Text::readFontNames(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS4Graph::readObject(), PocketWordParser::readPageDims(), PocketWordParser::readParagraphDims(), PocketWordParser::readParagraphList(), PocketWordParser::readParagraphUnkn(), WPS8Graph::readPICT(), WPS8Text::readPLC(), WPS4Text::readPLC(), WPS4Parser::readPrnt(), WPS8TextStyle::readSGP(), PocketWordParser::readSound(), PocketWordParser::readSoundData(), WPS8Text::readStructures(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), MSWriteParser::readText(), WPS4Text::readText(), WPS8Text::readText(), PocketWordParser::readUnkn2021(), PocketWordParser::readUnkn8(), WPS8Parser::readWNPR(), QuattroGraph::send(), Quattro9ParserInternal::TextEntry::send(), libwps::MultiplanParser::sendCell(), LotusSpreadsheet::sendCellContent(), QuattroDosSpreadsheet::sendCellContent(), QuattroSpreadsheet::sendCellContent(), WKS4Spreadsheet::sendCellContent(), PocketWordParser::sendParagraph(), LotusGraph::sendPicture(), LotusChart::sendText(), QuattroDosChart::sendText(), WKS4Chart::sendText(), LotusGraph::sendTextBox(), LotusGraph::sendTextBoxWK4(), LotusSpreadsheet::sendTextNote(), WPS8Text::textZonesDataParser(), and XYWriteParser::update().

## ◆ end()

long WPSEntry::end | ( |  | ) | const
| inline

returns the end offset

Referenced by XYWriteParser::createFormatChildren(), XYWriteParser::createListener(), PocketWordParser::createZones(), XYWriteParser::findAllZones(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), MSWriteParser::insertNote(), WPSTextParser::mergeSortedFODLists(), WPS4Text::numPages(), WPS8Text::numPages(), WPS4Parser::parseEntry(), XYWriteParser::parseFrameZone(), WPS8Parser::parseHeaderIndexEntry(), XYWriteParser::parseMetaData(), XYWriteParser::parsePictureZone(), XYWriteParser::parseTextZone(), WPS8Graph::readBDR(), libwps::MultiplanParser::readCellDataPosition(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readEntries(), WPSTextParser::readFDP(), WPS4Text::readFontNames(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS4Graph::readObject(), PocketWordParser::readParagraphUnkn(), WPS8Graph::readPICT(), WPS8Text::readPLC(), WPS4Text::readPLC(), WPS8TextStyle::readSGP(), PocketWordParser::readSound(), PocketWordParser::readSoundData(), WPS8Text::readStructures(), WPS8TextStyle::readSTSH(), MSWriteParser::readText(), WPS4Text::readText(), WPS8Text::readText(), WPS8Parser::readWNPR(), libwps::MultiplanParser::sendCell(), LotusSpreadsheet::sendCellContent(), QuattroDosSpreadsheet::sendCellContent(), QuattroSpreadsheet::sendCellContent(), WKS4Spreadsheet::sendCellContent(), PocketWordParser::sendParagraph(), LotusGraph::sendTextBoxWK4(), LotusSpreadsheet::sendTextNote(), WPS8Text::textZonesDataParser(), and XYWriteParser::update().

## ◆ extra()

std::string const & WPSEntry::extra | ( |  | ) | const
| inline

retrieves the extra string

Referenced by WPS8Graph::readBDR().

## ◆ hasName()

bool WPSEntry::hasName | ( | std::string const & | nam | ) | const
| inline

checks if the entry name is equal to name

Referenced by WPS8Parser::createStructures(), WPS8TextStyle::findFDPStructures(), WPS8TextStyle::findFDPStructuresByHand(), WPS8Text::readStructures(), WPS8TextStyle::readStructures(), WPS8Graph::readStructures(), WPS8Table::readStructures(), and WPS8Graph::sendIBGF().

## ◆ hasType()

bool WPSEntry::hasType | ( | std::string const & | tp | ) | const
| inline

returns true if the type entry == type

Referenced by WPS8Parser::createStructures(), WPS8TextStyle::findFDPStructures(), WPS8TextStyle::findFDPStructuresByHand(), WPS8Graph::readBDR(), WPS8Parser::readDocProperties(), WPSTextParser::readFDP(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS8Graph::readPICT(), WPS8Text::readPLC(), WPS8TextStyle::readSGP(), WPS8Text::readStructures(), WPS8TextStyle::readStructures(), WPS8Graph::readStructures(), WPS8Table::readStructures(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Parser::readWNPR(), and WPS4Parser::send().

## ◆ id()

int WPSEntry::id | ( |  | ) | const
| inline

returns the entry id

Referenced by WPS8Text::createNotesCorrespondance(), WPS8Graph::readBDR(), PocketWordParser::readFontNames(), WPS8Graph::readIBGF(), WPS8Text::readNotes(), WPS4Graph::readObject(), PocketWordParser::readPageDims(), PocketWordParser::readParagraphDims(), PocketWordParser::readParagraphList(), PocketWordParser::readParagraphUnkn(), WPS8Graph::readPICT(), WPS8Text::readPLC(), PocketWordParser::readSound(), PocketWordParser::readSoundData(), WPS8Text::readStructures(), WPS4Text::readText(), WPS8Text::readText(), PocketWordParser::readUnkn2021(), PocketWordParser::readUnkn8(), WPS8Graph::sendIBGF(), and PocketWordParser::sendParagraph().

## ◆ isParsed()

bool WPSEntry::isParsed | ( |  | ) | const
| inline

a flag to know if the entry was parsed or not

Referenced by MSWriteParserInternal::SubDocument::parse(), WPS4ParserInternal::SubDocument::parse(), and WPS8ParserInternal::SubDocument::parse().

## ◆ length()

long WPSEntry::length | ( |  | ) | const
| inline

returns the length of the zone

Referenced by WPS8Text::getFooterEntry(), WPS8Text::getHeaderEntry(), Quattro9ParserInternal::TextEntry::getString(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndexEntry(), WPS8Graph::readBDR(), libwps::MultiplanParser::readCellDataPosition(), LotusStyleManager::readCellStyleD2Data(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), WPSTextParser::readFDP(), PocketWordParser::readFontNames(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS4Graph::readObject(), PocketWordParser::readPageDims(), PocketWordParser::readParagraphDims(), PocketWordParser::readParagraphList(), PocketWordParser::readParagraphUnkn(), WPS8Graph::readPICT(), WPS8Text::readPLC(), WPS4Text::readPLC(), WPS4Parser::readPrnt(), WPS8TextStyle::readSGP(), PocketWordParser::readSound(), PocketWordParser::readSoundData(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Text::readTextInCell(), PocketWordParser::readUnkn2021(), PocketWordParser::readUnkn8(), WPS8Parser::readWNPR(), QuattroGraph::send(), Quattro9ParserInternal::TextEntry::send(), PocketWordParser::sendParagraph(), LotusGraph::sendPicture(), LotusChart::sendText(), QuattroDosChart::sendText(), WKS4Chart::sendText(), LotusGraph::sendTextBox(), and LotusGraph::sendTextBoxWK4().

## ◆ name()

std::string const & WPSEntry::name | ( |  | ) | const
| inline

name of the entry

Referenced by WPS8Graph::readBDR(), WPS8Parser::readDocProperties(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS8Graph::readPICT(), WPS8Text::readPLC(), WPS8TextStyle::readSGP(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), and WPS8Parser::readWNPR().

## ◆ operator!=()

bool WPSEntry::operator!= | ( | const WPSEntry & | a | ) | const
| inline

basic operator!=

## ◆ operator=() [1/2]

WPSEntry & WPSEntry::operator= | ( | WPSEntry && |  | ) |
| default

## ◆ operator=() [2/2]

WPSEntry & WPSEntry::operator= | ( | WPSEntry const & |  | ) |
| default

## ◆ operator==()

bool WPSEntry::operator== | ( | const WPSEntry & | a | ) | const
| inline

basic operator==

Referenced by operator!=().

## ◆ setBegin()

void WPSEntry::setBegin | ( | long | off | ) |
| inline

sets the begin offset

Referenced by WPS4Text::bkmkDataParser(), XYWriteParser::createListener(), PocketWordParser::createZones(), XYWriteParser::findAllZones(), WPS4Text::findFDPStructures(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), WPS8TextInternal::Notes::getCorrespondanceEntry(), MSWriteParser::getHeaderFooters(), WPS8TextInternal::State::getTCDZone(), MSWriteParser::insertNote(), WPS4Text::objectDataParser(), XYWriteParser::parse(), WPS4Parser::parseEntry(), XYWriteParser::parseFormat(), XYWriteParser::parseFrameZone(), WPS8Parser::parseHeaderIndexEntry(), XYWriteParser::parsePictureZone(), XYWriteParser::parseTextZone(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), LotusStyleManager::readCellStyleD2(), QuattroDosChart::readChart(), WKS4Chart::readChart(), LotusChart::readChartName(), Quattro9Spreadsheet::readDocumentFormulas(), WPS4Text::readDosLink(), WPS4Text::readEntries(), WPS4Text::readFootNotes(), Quattro9Parser::readPString(), libwps::MultiplanParser::readSharedData(), WPS4Text::readStructures(), libwps::MultiplanParser::readZonesList(), libwps::MultiplanParser::sendCell(), and WPS8Text::textZonesDataParser().

## ◆ setEnd()

void WPSEntry::setEnd | ( | long | e | ) |
| inline

sets the end offset

Referenced by WPS4Text::bkmkDataParser(), XYWriteParser::createListener(), XYWriteParser::findAllZones(), WPS8TextInternal::Notes::getCorrespondanceEntry(), MSWriteParser::getHeaderFooters(), WPS8TextInternal::State::getTCDZone(), MSWriteParser::insertNote(), XYWriteParser::parse(), XYWriteParser::parseFormat(), XYWriteParser::parseFrameZone(), XYWriteParser::parsePictureZone(), XYWriteParser::parseTextZone(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), LotusStyleManager::readCellStyleD2(), QuattroDosChart::readChart(), WKS4Chart::readChart(), LotusChart::readChartName(), WPS4Text::readDosLink(), WPS4Text::readEntries(), WPS4Text::readFootNotes(), libwps::MultiplanParser::readSharedData(), WPS4Text::readStructures(), libwps::MultiplanParser::readZonesList(), and WPS8Text::textZonesDataParser().

## ◆ setExtra()

void WPSEntry::setExtra | ( | std::string const & | s | ) |
| inline

sets the extra string

Referenced by WPS8Parser::parseHeaderIndexEntryEnd().

## ◆ setId()

void WPSEntry::setId | ( | int | i | ) |
| inline

sets the id

Referenced by WPS4Text::bkmkDataParser(), PocketWordParser::createZones(), WPS4Parser::findZones(), WPS8TextInternal::Notes::getCorrespondanceEntry(), WPS4Text::getFooterEntry(), WPS4Text::getHeaderEntry(), WPS4Text::objectDataParser(), WPS8Parser::parseHeaderIndexEntry(), WPS4Text::readDosLink(), WPS4Text::readEntries(), WPS4Text::readFootNotes(), WPS8Graph::readIBGF(), WPS4Text::readStructures(), WPS8Text::readStructures(), WPS4Text::readText(), and WPS8Text::textZonesDataParser().

## ◆ setLength()

void WPSEntry::setLength | ( | long | l | ) |
| inline

sets the zone size

Referenced by PocketWordParser::createZones(), WPS4Text::findFDPStructures(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), WPS4Text::objectDataParser(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndexEntry(), Quattro9Spreadsheet::readDocumentFormulas(), Quattro9Parser::readPString(), libwps::MultiplanParser::readSharedData(), and libwps::MultiplanParser::sendCell().

## ◆ setName()

void WPSEntry::setName | ( | std::string const & | nam | ) |
| inline

sets the name of the entry

Referenced by WPS8Parser::parseHeaderIndexEntry(), and WPS8Graph::readIBGF().

## ◆ setParsed()

void WPSEntry::setParsed | ( | bool | ok = `true` | ) | const
| inline

sets the flag m_parsed to true or false

Referenced by MSWriteParserInternal::SubDocument::parse(), WPS4ParserInternal::SubDocument::parse(), WPS8ParserInternal::SubDocument::parse(), WPS8Graph::readBDR(), WPS8Parser::readDocProperties(), WPSTextParser::readFDP(), PocketWordParser::readFontNames(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPS8Text::readNotes(), PocketWordParser::readPageDims(), PocketWordParser::readParagraphList(), WPS8Graph::readPICT(), WPS8Text::readPLC(), WPS8TextStyle::readSGP(), PocketWordParser::readSound(), PocketWordParser::readSoundData(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Parser::readWNPR(), and PocketWordParser::sendParagraph().

## ◆ setType()

void WPSEntry::setType | ( | std::string const & | tp | ) |
| inline

sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ...

Referenced by WPS4Text::findFDPStructures(), WPS4Text::findFDPStructuresByHand(), WPS4Parser::findZones(), WPS8TextInternal::Notes::getCorrespondanceEntry(), WPS4Text::getFooterEntry(), WPS4Text::getHeaderEntry(), MSWriteParser::getHeaderFooters(), MSWriteParser::insertNote(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndexEntry(), WPS4Text::readEntries(), WPS4Text::readFootNotes(), WPS4Text::readStructures(), WPS4Text::readText(), and WPS8Text::textZonesDataParser().

## ◆ type()

std::string const & WPSEntry::type | ( |  | ) | const
| inline

returns the type of the entry

Referenced by WPS4Parser::findZones(), MSWriteParserInternal::SubDocument::parse(), WPS4ParserInternal::SubDocument::parse(), WPS8ParserInternal::SubDocument::parse(), WPS4Parser::parseEntry(), WPS8Graph::readBDR(), WPS8Parser::readDocProperties(), WPS4Text::readEntries(), WPSTextParser::readFDP(), WPS8TextStyle::readFontNames(), WPS8Parser::readFRAM(), WPS8Parser::readFRCD(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPS8Text::readNotes(), WPS8Graph::readPICT(), WPS8Text::readPLC(), WPS4Text::readPLC(), WPS8TextStyle::readSGP(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Parser::readWNPR(), and WPS4Parser::send().

## ◆ valid()

bool WPSEntry::valid | ( | bool | checkId = `false` | ) | const
| inline

returns true if the zone length is positive

Referenced by XYWriteParser::createFormatChildren(), PocketWordParser::createListener(), WPS4Parser::createListener(), WPS8Parser::createListener(), Quattro9ParserInternal::TextEntry::empty(), WKSContentListener::CellContent::empty(), WPS8Text::getFooterEntry(), WPS8Text::getHeaderEntry(), MSWriteParser::getHeaderFooters(), WKSContentListener::CellContent::hasText(), MSWriteParser::insertNote(), WPS4Parser::parse(), WPS8Parser::parse(), MSWriteParserInternal::SubDocument::parse(), WPS4ParserInternal::SubDocument::parse(), WPS8ParserInternal::SubDocument::parse(), XYWriteParserInternal::SubDocument::parse(), WPS8TextInternal::SubDocument::parse(), WPS4Parser::parseEntry(), XYWriteParser::parseFormat(), XYWriteParser::parseFrameZone(), XYWriteParser::parseMetaData(), XYWriteParser::parsePictureZone(), XYWriteParser::parseTextZone(), LotusStyleManager::readCellStyleD2Data(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), WPS4Text::readEntries(), WPS4Text::readFontNames(), WPS4Text::readFootNotes(), WPS4Graph::readObject(), WPS4Parser::readPrnt(), PocketWordParser::readSound(), WPS4Text::readText(), QuattroGraph::send(), libwps::MultiplanParser::sendCell(), LotusSpreadsheet::sendCellContent(), QuattroDosSpreadsheet::sendCellContent(), QuattroSpreadsheet::sendCellContent(), WKS4Spreadsheet::sendCellContent(), PocketWordParser::sendParagraph(), LotusGraph::sendPicture(), LotusChart::sendText(), QuattroDosChart::sendText(), WKS4Chart::sendText(), and XYWriteParser::update().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSEntry const & | ent
| ) |  |
| friend

## Member Data Documentation

## ◆ m_begin

long WPSEntry::m_begin
| protected

the begin of the entry.

Referenced by begin(), end(), operator==(), setBegin(), setEnd(), and valid().

## ◆ m_extra

std::string WPSEntry::m_extra
| protected

an extra string

Referenced by extra(), and setExtra().

## ◆ m_id

int WPSEntry::m_id
| protected

the identificator

Referenced by id(), operator==(), setId(), and valid().

## ◆ m_length

long WPSEntry::m_length
| protected

the size of the entry

Referenced by end(), length(), operator==(), setEnd(), setLength(), and valid().

## ◆ m_name

std::string WPSEntry::m_name
| protected

the name

Referenced by hasName(), name(), operator==(), and setName().

## ◆ m_parsed

bool WPSEntry::m_parsed
| mutableprotected

a bool to store if the entry is or not parsed

Referenced by isParsed(), and setParsed().

## ◆ m_type

std::string WPSEntry::m_type
| protected

the entry type

Referenced by hasType(), operator==(), setType(), and type().

The documentation for this class was generated from the following files:

- WPSEntry.h
- WPSEntry.cpp